# Class AddToTree

java.lang.Object
org.apache.jmeter.gui.action.AddToTree

All Implemented Interfaces:
  `Command`

public class AddToTree extends Object implements Command

## Constructor Summary

Constructors
Constructor
Description
`AddToTree()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doAction(ActionEvent e)`
Adds the specified class to the current node of the tree.
`Set<String>`
`getActionNames()`
Gets the Set of actions this Command class responds to.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AddToTree

public AddToTree()

## Method Details

### getActionNames

public Set<String> getActionNames()
Gets the Set of actions this Command class responds to.

Specified by:
  `getActionNames` in interface `Command`
Returns:
  the ActionNames value

### doAction

public void doAction(ActionEvent e)
Adds the specified class to the current node of the tree.

Specified by:
  `doAction` in interface `Command`